Skip to main content
Update Skill Cluster

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

allows modifying resources

Path Parameters

skill_cluster_external_id
string
required

The unique Skill Cluster ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Body

application/json

Default structure for updating a Skill Cluster.

domain_id
string<uuid>

The unique ID of a Domain to which this Skill Cluster is linked, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

skill_cluster_name
string

Name of the Skill Cluster.

Required string length: 1 - 255
Example:

"Database Management"

skill_cluster_description
string
default:""

Description of the Skill Cluster. Any changes with placeholder values such as "-" or "No description", or a description that is identical to the Skill Cluster name, will be automatically saved as an empty string (the default).

Example:

"Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle."

Response

No Content